Skip to main content
GET
List shadow experiments

Authorizations

Authorization
string
header
default:default
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

projectId
string
required

Project identifier.

endpointId
string
required

Endpoint identifier.

Query Parameters

limit
integer

Maximum number of shadow experiments to return. Max 500, defaults to 50.

after
string

Cursor from a previous shadow experiment list response.

includeTargets
boolean

Whether to include target deployments in each returned shadow experiment.

Response

OK

Response containing shadow experiments and pagination metadata.

data
object[]
required

Shadow experiments under the endpoint.

object
any
required

Object type. Always list.

next_cursor
string

Cursor for the next page. Null if there are no more results.